package com.hz.pm.api.projectlib.service;

import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.hz.pm.api.projectlib.model.entity.ProjectApplication;
import com.hz.pm.api.projectlib.model.entity.ProjectPaymentPlan;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author WendyYang
 * @since 2024-02-21
 */
public interface IProjectPaymentPlanService extends IService<ProjectPaymentPlan> {

    default void remove(String projectCode, Integer projectVersion) {
        remove(Wrappers.lambdaQuery(ProjectPaymentPlan.class)
                .eq(ProjectPaymentPlan::getProjectCode, projectCode)
                .eq(ProjectPaymentPlan::getProjectVersion, projectVersion));
    }

}
